#ifndef __NSOC_V1_INTR_H_
#define __NSOC_V1_INTR_H_

/**
 * Interrupt Number Definition
 */
typedef enum {
    INTR_EXT_TIMER1,     /*!< External Timer-0 Interrupt */
    INTR_EXT_TIMER2,     /*!< External Timer-1 Interrupt */
    INTR_WDOG,           /*!< WatchDog Interrupt         */
    INTR_UART0,          /*!< UART CHANNEL-0 Interrupt   */
    INTR_UART1,          /*!< UART CHANNEL-1 Interrupt   */
    INTR_HDMAC0,         /*!< DMA CHANNEL-0 Interrupt    */
    INTR_HDMAC1,         /*!< DMA CHANNEL-1 Interrupt    */
    INTR_HDMAC2,         /*!< DMA CHANNEL-2 Interrupt    */
    INTR_HDMAC3,         /*!< DMA CHANNEL-3 Interrupt    */
    INTR_HDMAC4,         /*!< DMA CHANNEL-4 Interrupt    */
    INTR_HDMAC5,         /*!< DMA CHANNEL-5 Interrupt    */
    INTR_HDMAC6,         /*!< DMA CHANNEL-6 Interrupt    */
    INTR_HDMAC7,         /*!< DMA CHANNEL-7 Interrupt    */
    INTR_AKIDACORE,      /*!< AKIDACORE Interrupt        */
    INTR_RTC,            /*!< RTC Interrupt              */
    INTR_I2C,            /*!< I2C Interrupt              */
    INTR_I3C,            /*!< I3C Interrupt              */
    INTR_I2S,            /*!< I2S Interrupt              */
    INTR_SPI_RX,         /*!< SPI_RX Interrupt           */
    INTR_SPI_TX,         /*!< SPI_TX Interrupt           */
    INTR_SPI_ERR,        /*!< SPI_ERROR Interrupt        */
    INTR_TRNG,           /*!< TRNG Interrupt             */
    INTR_LPDDR,          /*!< LPDDR Interrupt            */
    INTR_PCIEP_OR_USB,   /*!< PCIEP OR USB Interrupt     */
    INTR_PCI_RC,         /*!< PCI_RC Interrupt           */
    INTR_EXTINT12,       /*!< External Interrupt -12     */
    INTR_SYS_REG,        /*!< SYS_REG Interrupt          */
    INTR_LPDDR_FRQ_CHNG, /*!< LPDDR_FRQ_CHNG Interrupt   */
    INTR_GPIO,           /*!< GPIO Interrupt             */
} nsoc_intr_t;

#endif /*__NSOC_V1_INTR_H_*/
