#ifndef __SCR_H_
#define __SCR_H_

#include <stdint.h>

struct SCR_REGS {
    uint32_t rsvd0[4];
    uint32_t CHIPINFO;      /* 0x10 */
    uint32_t ROM_REMAP;     /* 0x14 */
    uint32_t INTTASKS;      /* 0x18 */
    uint32_t ARMSTATE;      /* 0x1c */
    uint32_t rsvd1[2];      /* 0x20 24 */
    uint32_t I3C;           /* 0x28 */
    uint32_t I3C_STATUS;    /* 0x2c */
    uint32_t rsvd2;         /* 0x30 */
    uint32_t M4SS;          /* 0x34 */
    uint32_t DPMC;          /* 0x38 */
    uint32_t rsvd3;         /* 0x3c */
    uint32_t PCIeUSB;       /* 0x40 */
    uint32_t EXTINT2PCIINT; /* 0x44 */
    uint32_t LPDDR;         /* 0x48 */
    uint32_t AXIBMQOS;      /* 0x4c */
    uint32_t GPIOPUEN;      /* 0x50 */
    uint32_t GPIOPDEN;      /* 0x54 */
    uint32_t GPIO2EXTINT;   /* 0x58 */
    uint32_t rsvd4[5];      /* 5c 60 64 68 6c */
    uint32_t RCPHYTADC;     /* 0x70 */
    uint32_t RCPHYTWERC;    /* 0x74 */
    uint32_t RCPHYTRD;      /* 0x78 */
    uint32_t RCPHYRCS;      /* 0x7c */
    uint32_t EPPHYTADC;     /* 0x80 */
    uint32_t EPPHYTWERC;    /* 0x84 */
    uint32_t EPPHYTRD;      /* 0x88 */
};

#define SCRST ((struct SCR_REGS*)0xf0000000)

#endif /* __SCR_H_ */
