/****************************************************
  ::DMACR:: BitField descriptions
****************************************************/
/*! Global DMA Enable */
#define BC_HDMAC_DMACR_DE_POS 31
#define BC_HDMAC_DMACR_DE_LEN 1
#define BC_HDMAC_DMACR_DE_MASK 0x80000000
#define BC_HDMAC_DMACR_DE_SET(x) (x << 31)
#define BC_HDMAC_DMACR_DE_GET(x) ((x >> 31) & 0x00000001)

/*! Global DMA Stop */
#define BC_HDMAC_DMACR_DS_POS 30
#define BC_HDMAC_DMACR_DS_LEN 1
#define BC_HDMAC_DMACR_DS_MASK 0x40000000
#define BC_HDMAC_DMACR_DS_SET(x) (x << 30)
#define BC_HDMAC_DMACR_DS_GET(x) ((x >> 30) & 0x00000001)

/*! Priority Rotation */
#define BC_HDMAC_DMACR_PR_POS 28
#define BC_HDMAC_DMACR_PR_LEN 1
#define BC_HDMAC_DMACR_PR_MASK 0x10000000
#define BC_HDMAC_DMACR_PR_SET(x) (x << 28)
#define BC_HDMAC_DMACR_PR_GET(x) ((x >> 28) & 0x00000001)

/*! Global DMA Halt */
#define BC_HDMAC_DMACR_DH_POS 24
#define BC_HDMAC_DMACR_DH_LEN 4
#define BC_HDMAC_DMACR_DH_MASK 0x0f000000
#define BC_HDMAC_DMACR_DH_SET(x) (x << 24)
#define BC_HDMAC_DMACR_DH_GET(x) ((x >> 24) & 0x0000000f)

/****************************************************
  ::DMACA:: BitField descriptions
****************************************************/
/*! Per-channel enable */
#define BC_HDMAC_DMACA_EB_POS 31
#define BC_HDMAC_DMACA_EB_LEN 1
#define BC_HDMAC_DMACA_EB_MASK 0x80000000
#define BC_HDMAC_DMACA_EB_SET(x) (x << 31)
#define BC_HDMAC_DMACA_EB_GET(x) ((x >> 31) & 0x00000001)

/*! Per-channel pause */
#define BC_HDMAC_DMACA_PB_POS 30
#define BC_HDMAC_DMACA_PB_LEN 1
#define BC_HDMAC_DMACA_PB_MASK 0x40000000
#define BC_HDMAC_DMACA_PB_SET(x) (x << 30)
#define BC_HDMAC_DMACA_PB_GET(x) ((x >> 30) & 0x00000001)

/*! Software trigger */
#define BC_HDMAC_DMACA_ST_POS 29
#define BC_HDMAC_DMACA_ST_LEN 1
#define BC_HDMAC_DMACA_ST_MASK 0x20000000
#define BC_HDMAC_DMACA_ST_SET(x) (x << 29)
#define BC_HDMAC_DMACA_ST_GET(x) ((x >> 29) & 0x00000001)

/*! Input select */
#define BC_HDMAC_DMACA_IS_POS 24
#define BC_HDMAC_DMACA_IS_LEN 5
#define BC_HDMAC_DMACA_IS_MASK 0x1f000000
#define BC_HDMAC_DMACA_IS_SET(x) (x << 24)
#define BC_HDMAC_DMACA_IS_GET(x) ((x >> 24) & 0x0000001f)

#define BC_HDMAC_DMACA_IS_ST 0x00000
#define BC_HDMAC_DMACA_IS_DREQ_H 0x0000e
#define BC_HDMAC_DMACA_IS_DREQ_L 0x0000f
#define BC_HDMAC_DMACA_IS_IDREQ_0 0x00010
#define BC_HDMAC_DMACA_IS_IDREQ_1 0x00011
#define BC_HDMAC_DMACA_IS_IDREQ_2 0x00012
#define BC_HDMAC_DMACA_IS_IDREQ_3 0x00013
#define BC_HDMAC_DMACA_IS_IDREQ_4 0x00014
#define BC_HDMAC_DMACA_IS_IDREQ_5 0x00015
#define BC_HDMAC_DMACA_IS_IDREQ_6 0x00016
#define BC_HDMAC_DMACA_IS_IDREQ_7 0x00017
#define BC_HDMAC_DMACA_IS_IDREQ_8 0x00018
#define BC_HDMAC_DMACA_IS_IDREQ_9 0x00019
#define BC_HDMAC_DMACA_IS_IDREQ_A 0x0001a
#define BC_HDMAC_DMACA_IS_IDREQ_B 0x0001b
#define BC_HDMAC_DMACA_IS_IDREQ_C 0x0001c
#define BC_HDMAC_DMACA_IS_IDREQ_D 0x0001d
#define BC_HDMAC_DMACA_IS_IDREQ_E 0x0001e
#define BC_HDMAC_DMACA_IS_IDREQ_F 0x0001f
/*! Beat type transfer */
#define BC_HDMAC_DMACA_BT_POS 20
#define BC_HDMAC_DMACA_BT_LEN 4
#define BC_HDMAC_DMACA_BT_MASK 0x00f00000
#define BC_HDMAC_DMACA_BT_SET(x) (x << 20)
#define BC_HDMAC_DMACA_BT_GET(x) ((x >> 20) & 0x0000000f)

/*! Block count */
#define BC_HDMAC_DMACA_BC_POS 16
#define BC_HDMAC_DMACA_BC_LEN 4
#define BC_HDMAC_DMACA_BC_MASK 0x000f0000
#define BC_HDMAC_DMACA_BC_SET(x) (x << 16)
#define BC_HDMAC_DMACA_BC_GET(x) ((x >> 16) & 0x0000000f)

/*! Transfer count */
#define BC_HDMAC_DMACA_TC_POS 0
#define BC_HDMAC_DMACA_TC_LEN 16
#define BC_HDMAC_DMACA_TC_MASK 0x0000ffff
#define BC_HDMAC_DMACA_TC_SET(x) (x << 0)
#define BC_HDMAC_DMACA_TC_GET(x) ((x >> 0) & 0x0000ffff)

/****************************************************
  ::DMACB:: BitField descriptions
****************************************************/
/*! Transfer type */
#define BC_HDMAC_DMACB_TT_POS 30
#define BC_HDMAC_DMACB_TT_LEN 2
#define BC_HDMAC_DMACB_TT_MASK 0xc0000000
#define BC_HDMAC_DMACB_TT_SET(x) (x << 30)
#define BC_HDMAC_DMACB_TT_GET(x) ((x >> 30) & 0x00000003)

/*! Mode select */
#define BC_HDMAC_DMACB_MS_POS 28
#define BC_HDMAC_DMACB_MS_LEN 2
#define BC_HDMAC_DMACB_MS_MASK 0x30000000
#define BC_HDMAC_DMACB_MS_SET(x) (x << 28)
#define BC_HDMAC_DMACB_MS_GET(x) ((x >> 28) & 0x00000003)

/*! Transfer width */
#define BC_HDMAC_DMACB_TW_POS 26
#define BC_HDMAC_DMACB_TW_LEN 2
#define BC_HDMAC_DMACB_TW_MASK 0x0c000000
#define BC_HDMAC_DMACB_TW_SET(x) (x << 26)
#define BC_HDMAC_DMACB_TW_GET(x) ((x >> 26) & 0x00000003)

/*! Fixed Source */
#define BC_HDMAC_DMACB_FS_POS 25
#define BC_HDMAC_DMACB_FS_LEN 1
#define BC_HDMAC_DMACB_FS_MASK 0x02000000
#define BC_HDMAC_DMACB_FS_SET(x) (x << 25)
#define BC_HDMAC_DMACB_FS_GET(x) ((x >> 25) & 0x00000001)

/*! Fixed Destination */
#define BC_HDMAC_DMACB_FD_POS 24
#define BC_HDMAC_DMACB_FD_LEN 1
#define BC_HDMAC_DMACB_FD_MASK 0x01000000
#define BC_HDMAC_DMACB_FD_SET(x) (x << 24)
#define BC_HDMAC_DMACB_FD_GET(x) ((x >> 24) & 0x00000001)

/*! Reload Count */
#define BC_HDMAC_DMACB_RC_POS 23
#define BC_HDMAC_DMACB_RC_LEN 1
#define BC_HDMAC_DMACB_RC_MASK 0x00800000
#define BC_HDMAC_DMACB_RC_SET(x) (x << 23)
#define BC_HDMAC_DMACB_RC_GET(x) ((x >> 23) & 0x00000001)

/*! Reload Source */
#define BC_HDMAC_DMACB_RS_POS 22
#define BC_HDMAC_DMACB_RS_LEN 1
#define BC_HDMAC_DMACB_RS_MASK 0x00400000
#define BC_HDMAC_DMACB_RS_SET(x) (x << 22)
#define BC_HDMAC_DMACB_RS_GET(x) ((x >> 22) & 0x00000001)

/*! Reload Destination */
#define BC_HDMAC_DMACB_RD_POS 21
#define BC_HDMAC_DMACB_RD_LEN 1
#define BC_HDMAC_DMACB_RD_MASK 0x00200000
#define BC_HDMAC_DMACB_RD_SET(x) (x << 21)
#define BC_HDMAC_DMACB_RD_GET(x) ((x >> 21) & 0x00000001)

/*! Error Interrupt mask */
#define BC_HDMAC_DMACB_EI_POS 20
#define BC_HDMAC_DMACB_EI_LEN 1
#define BC_HDMAC_DMACB_EI_MASK 0x00100000
#define BC_HDMAC_DMACB_EI_SET(x) (x << 20)
#define BC_HDMAC_DMACB_EI_GET(x) ((x >> 20) & 0x00000001)

/*! Completion Interrupt mask */
#define BC_HDMAC_DMACB_CI_POS 19
#define BC_HDMAC_DMACB_CI_LEN 1
#define BC_HDMAC_DMACB_CI_MASK 0x00080000
#define BC_HDMAC_DMACB_CI_SET(x) (x << 19)
#define BC_HDMAC_DMACB_CI_GET(x) ((x >> 19) & 0x00000001)

/*! Stop status */
#define BC_HDMAC_DMACB_SS_POS 16
#define BC_HDMAC_DMACB_SS_LEN 3
#define BC_HDMAC_DMACB_SS_MASK 0x00070000
#define BC_HDMAC_DMACB_SS_SET(x) (x << 16)
#define BC_HDMAC_DMACB_SS_GET(x) ((x >> 16) & 0x00000007)

/*! Source protection code */
#define BC_HDMAC_DMACB_SP_POS 12
#define BC_HDMAC_DMACB_SP_LEN 4
#define BC_HDMAC_DMACB_SP_MASK 0x0000f000
#define BC_HDMAC_DMACB_SP_SET(x) (x << 12)
#define BC_HDMAC_DMACB_SP_GET(x) ((x >> 12) & 0x0000000f)

/*! Destination protection code */
#define BC_HDMAC_DMACB_DP_POS 8
#define BC_HDMAC_DMACB_DP_LEN 4
#define BC_HDMAC_DMACB_DP_MASK 0x00000f00
#define BC_HDMAC_DMACB_DP_SET(x) (x << 8)
#define BC_HDMAC_DMACB_DP_GET(x) ((x >> 8) & 0x0000000f)

/****************************************************
  ::DMACSA:: BitField descriptions
****************************************************/
/*! Source address */
#define BC_HDMAC_DMACSA_DMACSA_POS 0
#define BC_HDMAC_DMACSA_DMACSA_LEN 32
#define BC_HDMAC_DMACSA_DMACSA_MASK 0xffffffff
#define BC_HDMAC_DMACSA_DMACSA_SET(x) (x)
#define BC_HDMAC_DMACSA_DMACSA_GET(x) (x)

/****************************************************
  ::DMACDA:: BitField descriptions
****************************************************/
/*! Destination address */
#define BC_HDMAC_DMACDA_DMACDA_POS 0
#define BC_HDMAC_DMACDA_DMACDA_LEN 32
#define BC_HDMAC_DMACDA_DMACDA_MASK 0xffffffff
#define BC_HDMAC_DMACDA_DMACDA_SET(x) (x)
#define BC_HDMAC_DMACDA_DMACDA_GET(x) (x)
