#include "gpio.h"
#include <stdint.h>
#include "bsp_error.h"

int gpio_get_capabilities(struct gpio_driver* drv, gpio_cap_t* caps) {
    if (drv->ops->get_capabilities) {
        return drv->ops->get_capabilities(drv, caps);
    }
    return ENOT_IMPLEMENTED;
}

int gpio_set_config(struct gpio_driver* drv, uint8_t port_id, uint8_t bit, uint8_t dir,
                    gpio_config_flag_t flags, gpio_callback cb, void* cb_data) {
    if (drv->ops->set_config) {
        return drv->ops->set_config(drv, port_id, bit, dir, flags, cb, cb_data);
    }
    return ENOT_IMPLEMENTED;
}

int gpio_read(struct gpio_driver* drv, uint8_t port_id, uint8_t bit, uint8_t* rval) {
    if (drv->ops->read) {
        return drv->ops->read(drv, port_id, bit, rval);
    }
    return ENOT_IMPLEMENTED;
}

int gpio_read_port(struct gpio_driver* drv, uint8_t port_id, uint32_t* rval) {
    if (drv->ops->read_port) {
        return drv->ops->read_port(drv, port_id, rval);
    }
    return ENOT_IMPLEMENTED;
}

int gpio_write(struct gpio_driver* drv, uint8_t port_id, uint8_t bit, uint8_t value) {
    if (drv->ops->write) {
        return drv->ops->write(drv, port_id, bit, value);
    }
    return ENOT_IMPLEMENTED;
}

int gpio_write_port(struct gpio_driver* drv, uint8_t port_id, uint32_t value) {
    if (drv->ops->write_port) {
        return drv->ops->write_port(drv, port_id, value);
    }
    return ENOT_IMPLEMENTED;
}
