#include "spi_flash.h"
#include "bsp_error.h"

int spi_flash_get_info(struct spi_flash_driver* drv, spi_flash_information_t* flash_info) {
    if (drv->ops->get_info) {
        return drv->ops->get_info(drv, flash_info);
    }
    return ENOT_IMPLEMENTED;
}

int spi_flash_read(struct spi_flash_driver* drv, const uint32_t flash_addr, void* rd_buff,
                   const uint32_t size, spi_flash_callback_t cb, void* cb_param) {
    if (drv->ops->read) {
        return drv->ops->read(drv, flash_addr, rd_buff, size, cb, cb_param);
    }
    return ENOT_IMPLEMENTED;
}

int spi_flash_write(struct spi_flash_driver* drv, const uint32_t flash_addr, const void* wr_buff,
                    const uint32_t size, spi_flash_callback_t cb, void* cb_param) {
    if (drv->ops->write) {
        return drv->ops->write(drv, flash_addr, wr_buff, size, cb, cb_param);
    }
    return ENOT_IMPLEMENTED;
}

int spi_flash_erase(struct spi_flash_driver* drv, const uint32_t sector_id,
                    const uint32_t n_sectors, spi_flash_sector_type_t type, spi_flash_callback_t cb,
                    void* cb_param) {
    if (drv->ops->erase) {
        return drv->ops->erase(drv, sector_id, n_sectors, type, cb, cb_param);
    }
    return ENOT_IMPLEMENTED;
}

int spi_flash_erase_bulk(struct spi_flash_driver* drv, spi_flash_callback_t cb, void* cb_param) {
    if (drv->ops->erase_bulk) {
        return drv->ops->erase_bulk(drv, cb, cb_param);
    }
    return ENOT_IMPLEMENTED;
}
