#include "wdog.h"
#include "bsp_error.h"

int wdog_start(struct wdog_driver* drv) {
    if (drv->ops->start) {
        return drv->ops->start(drv);
    }
    return ENOT_IMPLEMENTED;
}

int wdog_stop(struct wdog_driver* drv) {
    if (drv->ops->stop) {
        return drv->ops->stop(drv);
    }
    return ENOT_IMPLEMENTED;
}

void wdog_kick(struct wdog_driver* drv) {
    if (drv->ops->kick) {
        drv->ops->kick(drv);
    }
}

int wdog_set_timeout(struct wdog_driver* drv, uint32_t timeout) {
    if (drv->ops->set_timeout) {
        return drv->ops->set_timeout(drv, timeout);
    }
    return ENOT_IMPLEMENTED;
}

int wdog_set_expire_handler(struct wdog_driver* drv, wdog_expire_handler_t handle, void* param) {
    if (drv->ops->set_expire_handler) {
        return drv->ops->set_expire_handler(drv, handle, param);
    }
    return ENOT_IMPLEMENTED;
}
