#ifndef __BC_ERROR_H_
#define __BC_ERROR_H_

/* Akida BSP error values
 */

/**
 * @addtogroup infra
 * @{
 *
 * @defgroup error_codes error_codes
 *
 * Global error code definition
 *
 * @{
 *
 */
#define SUCCESS 0                /**< Success */
#define EFAILURE -1              /**< Failure*/
#define ENULL_POINTER -2         /**< NULL Pointer*/
#define EINVALID_PARM -3         /**< Invalid Parameter */
#define ENOT_IMPLEMENTED -4      /**< Functionality is not implemented */
#define EAGAIN -5                /**< Transfer is not completed, try again */
#define EBAD_STATE -6            /**< Bad state */
#define EBUSY -7                 /**<  Busy state*/
#define E_NORESOURCEAVAILABLE -8 /**< No Resource available */
#define ENOMEM -9                /**< No memory left */
#define ETIMEDOUT -10            /**< Operation timedout */
#define ESHUTDOWN -11            /**< Shutdown in progrss */
#define EINPROGRESS -12          /**< Operation in progress */
#define ECONNRESET -13           /**< Connection reset */
#define EAPPRUNNING -20          /**< Application running */

/** @} */
/** @} */
#endif /* __BC_ERROR_H_ */
