#ifndef __AKIDA_CRC32_H_
#define __AKIDA_CRC32_H_

#include <stddef.h>
#include <stdint.h>

/** @addtogroup infra
 * @{
 *
 * @addtogroup crc crc calculations
 * @{
 */

/**
 * calculate crc32 of a buffer
 *
 * @param crcinit the initial value of the CRC
 * @param buf the address of the buffer to calculate crc of
 * @param size the number of bytes on which the crc applies
 *
 * @return the crc32 value
 */
uint32_t calc_crc32(uint32_t crcinit, const void* buf, size_t size);

/** @} crc
 * @} infra
 */
#endif  // __AKIDA_CRC32_H_
