#ifndef __CUSTOM_SECTIONS_H__
#define __CUSTOM_SECTIONS_H__

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 6010050)
#define DECLARE_CUSTOM_SECTION(_name_, _type_, _section_) \
    extern void _section_##$$Base;                        \
    extern void _section_##$$Limit;                       \
    _type_* _name_##_start = (_type_*)&_section_##$$Base; \
    _type_* _name_##_end = (_type_*)&_section_##$$Limit;
#elif defined(__GNUC__)
#define DECLARE_CUSTOM_SECTION(_name_, _type_, _section_) \
    extern _type_ __##_name_##_start;                     \
    extern _type_ __##_name_##_end;                       \
    _type_* _name_##_start = &__##_name_##_start;         \
    _type_* _name_##_end = &__##_name_##_end;
#endif
#endif