#include "board.h"
#include "cli_cmd.h"
#include "elog.h"
#include "event_log.h"
#include "log_backend.h"
#ifdef CONFIG_PROPERTIES
#include "partition.h"
#include "properties.h"
#endif
#include "soc.h"
#include "systimer.h"

void bsp_init(void) {
#ifdef CONFIG_LOG
#ifdef CONFIG_EVENT_LOG
    event_log_init();
#endif
    log_backend_init();
    elog_init();
#endif

    soc_early_init();

#ifdef CONFIG_PROPERTIES
    struct disk* d = (struct disk*)driver_lookup(CONFIG_PROPERTIES_DISK);
    int ret = d->drv.init(&d->drv, d->drv.reg->priv);

    if (ret == 0) {
        struct partition* partition =
            partition_lookup(CONFIG_PROPERTIES_DISK, CONFIG_PROPERTIES_PARTITION);
        properties_init(partition);
    }
#endif

    board_init();

    systimer_init();
#ifdef CONFIG_CLI
    cli_init();
#endif
}
