#include "log_backend.h"
#include <stddef.h>
#include <string.h>
#include "custom_sections.h"

DECLARE_CUSTOM_SECTION(log_backend, struct log_item, LOG_BACKENDS)

int log_backend_init() {
    int ret = 0;
    struct log_item* log_b = log_backend_start;
    while (log_b < log_backend_end) {
        if (log_b->logger->init) {
            ret += log_b->logger->init();
        }
        log_b++;
    }
    return ret;
}

struct log_common* log_backend_lookup(char* name) {
    struct log_item* log_b = log_backend_start;
    while (log_b < log_backend_end) {
        if (!strcmp(log_b->name, name)) {
            return log_b->logger;
        }
        log_b++;
    }
    return NULL;
}
